.TH "epwic" 1 @RELEASEDATE@ "EPWIC @RELEASE@" "EPWIC Manual"

.SH NAME
.TP 
EPWIC-1 (Embedded Predictive Wavelet Image Coder) 

.SH SYNOPSIS
.TP
.B epwic
Compresses an 8 bit PGM image into the EPWIC-1 format.

   epwic infile [-o outfile] [-l levels] [-b outfile_size]
 
  Where:
    - outfile is the name of the file in which to save the compressed image
    - levels is the number of levels in the pyramid
    - outfile_size is the size at which we truncate the saved compressed
      image
  Notes:
    - If no outfile is specified, the file is saved as the input file
      name plus the extension ".EPW"


unepwic - Decompresses an EPWIC-1 image into a PGM image

    unepwic [filename] [-o outfile] [-b bytes_to_read]

  Where:
    - filename is the name of the EPWIC-1 file to be decompressed
    - outfile is the name of the pgm file to be saved
    - bytes_to_read is the number of bytes to be read from the
      compressed image stream.
  Notes:
    - if no filename is given, it reads the compressed image from STDIN


.TP

.SH DESCRIPTION

EPWIC-1 is an embedded wavelet image coder that uses the generalized
Laplacian (or generalized Gaussian) distribution as a model of the
coefficients of the wavelet pyramid.  Images are decomposed into
a wavelet pyramid which is encoded by bitplane with a non-adaptive
arithmetic encoder.  The bitplanes are sent in order of their
(MSE contribution/encoding size) ratio.

We are making this code available to interested researchers who wish
to experiment with a subband pyramid coder.  This code was not
intended for speed, but for researching the possibilities of modeling
subband coefficient distributions as generalized Laplacians.
Therefore, though the underlying algorithms could be rewritten to work
quickly, this implementation is relatively slow and does not support
features available on most compression utilities (for example, it
only works on PGM images).



.SH EXAMPLES
For example, if we had a PGM file al.pgm.  We could completely compress
the image into a new file al.pgm.EPW using:

epwic al.pgm -o al.pgm.EPW  

or we can stop the embedded encoding at 512 bytes with:

epwic al.pgm -o al.pgm.EPW -b 512


We can then decompress the epwic file to 256 bytes into the file 
al256.pgm with:

unepwic al.pgm.EPW -o al256.pgm -b 256






.SH AUTHOR


.nf
Designed by Robert W. Buccigrossi and Eero P. Simoncelli
Developed at the GRASP Laboratory
Copyright 1996-1997, University of Pennsylvania
All rights reserved. 

.fi


